/*
  Figure drawing library

  Copyright 2009/2010 Benjamin Sonntag <benjamin@sonntag.fr> http://benjamin.sonntag.fr/
  
  History:
	2010-01-01 - V0.0 Initial code at Berlin after 26C3

  				<ikkei@zeus.eonet.ne.jp> http://blog.goo.ne.jp/jh3kxm
    2013-10-26 - ikkei update class library

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#ifndef iFigure_h
#define iFigure_h

#include <Arduino.h>

class iFigure{
public:
	void Draw(int figure,int x,int y,int set=1);
	void Draw90(int figure,int x,int y,int set=1);
	void Scroll90(unsigned long value,uint8_t x=3);
};

#endif

