// From Dotsduino sample sketch
// modified by ikkei for ikkeiplexing shield 2010.12.19
//        2013-10-26 - update class library

/*** Wave Animation
 * by arms22 <http://arms22.blog91.fc2.com/>
 * 
 * Demonstrates the use of the Dots library
 * 
 */

#include <MsTimer2.h>
#include <ikkeiplexing.h>

ikkeiplexing iLedSign;

const uint8_t wave[] PROGMEM = {
  B00110000,
  B00001100,
  B00000010,
  B00000010,
  B00001100,
  B00110000,
  B01000000,
  B01000000,
};

void setup(){
  iLedSign.Init(IKKEIPLEXING, SINGLE_BUFFER);
}


void loop(){
  uint16_t len = sizeof(wave)/sizeof(wave[0]);
  
  for(uint16_t j=0;j<len;j++) {
    uint8_t data = pgm_read_byte_near(&wave[j]);
    iLedSign.Vwrite(0, data);
    delay(80);
    iLedSign.ShiftRight();
  }
}

